import { Callout } from '@blueprintjs/core'

const GitVersion = () => (
  <Callout intent='none'>
    <p>Commit: {import.meta.env.VITE_GIT_COMMIT_HASH}</p>
    <p>Branch: {import.meta.env.VITE_GIT_BRANCH_NAME}</p>
    <p>Last commit message: {import.meta.env.VITE_GIT_LAST_COMMIT_MESSAGE}</p>
  </Callout>
)

export default GitVersion
