import InjectLogo from '@/assets/inject-logo--vertical-black.svg?react'
import Login from '@/logic/Login'
import { useSetPageTitle } from '@/utils'
import Container from '@inject/shared/components/Container'

const LoginPage = () => {
  useSetPageTitle('Login')

  return (
    <Container>
      <InjectLogo
        style={{
          width: '100%',
          height: '300px',
          margin: 'auto',
        }}
      />
      <Login />
    </Container>
  )
}

export default LoginPage
