/* eslint-disable */
//@ts-nocheck
import type * as _Types from '../../types';

import type { DocumentNode } from 'graphql';
import * as Apollo from '@apollo/client';
const defaultOptions = {} as const;
export type WriteReadReceiptEmailThreadVariables = _Types.Exact<{
  emailThreadId: _Types.Scalars['ID']['input'];
}>;


export type WriteReadReceiptEmailThread = { writeReadReceiptEmailThread: { emailThreadId: string, readReceipt: string | null } | null };


export const WriteReadReceiptEmailThreadDocument = /*#__PURE__*/ {"kind":"Document","definitions":[{"kind":"OperationDefinition","operation":"mutation","name":{"kind":"Name","value":"WriteReadReceiptEmailThread"},"variableDefinitions":[{"kind":"VariableDefinition","variable":{"kind":"Variable","name":{"kind":"Name","value":"emailThreadId"}},"type":{"kind":"NonNullType","type":{"kind":"NamedType","name":{"kind":"Name","value":"ID"}}}}],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"writeReadReceiptEmailThread"},"arguments":[{"kind":"Argument","name":{"kind":"Name","value":"emailThreadId"},"value":{"kind":"Variable","name":{"kind":"Name","value":"emailThreadId"}}}],"directives":[{"kind":"Directive","name":{"kind":"Name","value":"client"}}],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"emailThreadId"}},{"kind":"Field","name":{"kind":"Name","value":"readReceipt"}}]}}]}}]} as unknown as DocumentNode;
export type WriteReadReceiptEmailThreadMutationFn = Apollo.MutationFunction<WriteReadReceiptEmailThread, WriteReadReceiptEmailThreadVariables>;

/**
 * __useWriteReadReceiptEmailThread__
 *
 * To run a mutation, you first call `useWriteReadReceiptEmailThread` within a React component and pass it any options that fit your needs.
 * When your component renders, `useWriteReadReceiptEmailThread` returns a tuple that includes:
 * - A mutate function that you can call at any time to execute the mutation
 * - An object with fields that represent the current status of the mutation's execution
 *
 * @param baseOptions options that will be passed into the mutation, supported options are listed on: https://www.apollographql.com/docs/react/api/react-hooks/#options-2;
 *
 * @example
 * const [writeReadReceiptEmailThread, { data, loading, error }] = useWriteReadReceiptEmailThread({
 *   variables: {
 *      emailThreadId: // value for 'emailThreadId'
 *   },
 * });
 */
export function useWriteReadReceiptEmailThread(baseOptions?: Apollo.MutationHookOptions<WriteReadReceiptEmailThread, WriteReadReceiptEmailThreadVariables>) {
        const options = {...defaultOptions, ...baseOptions}
        return Apollo.useMutation<WriteReadReceiptEmailThread, WriteReadReceiptEmailThreadVariables>(WriteReadReceiptEmailThreadDocument, options);
      }
export type WriteReadReceiptEmailThreadHookResult = ReturnType<typeof useWriteReadReceiptEmailThread>;
export type WriteReadReceiptEmailThreadMutationResult = Apollo.MutationResult<WriteReadReceiptEmailThread>;
export type WriteReadReceiptEmailThreadMutationOptions = Apollo.BaseMutationOptions<WriteReadReceiptEmailThread, WriteReadReceiptEmailThreadVariables>;