import { css } from '@emotion/css'
import type { FC, PropsWithChildren } from 'react'

const div = css`
  display: flex;
  flex-wrap: wrap;
  margin: 0 auto;

  & > * {
    flex: 1 1 300px;
    margin: 10px;
  }
`

const CardGroup: FC<PropsWithChildren> = ({ children }) => (
  <div className={div}>{children}</div>
)

export default CardGroup
