import { Suspense, lazy } from 'react'

const GraphiQLPage = lazy(() => import('@/logic/GraphiQL'))

export const GraphiQL = () => (
  <Suspense>
    <GraphiQLPage />
  </Suspense>
)

export default GraphiQL
