/* eslint-disable */
//@ts-nocheck
import type { FieldPolicy, FieldReadFunction, TypePolicies, TypePolicy } from '@apollo/client/cache';
export type ActionLogTypeKeySpecifier = ('channel' | 'details' | 'id' | 'readReceipt' | 'team' | 'timestamp' | 'type' | ActionLogTypeKeySpecifier)[];
export type ActionLogTypeFieldPolicy = {
	channel?: FieldPolicy<any> | FieldReadFunction<any>,
	details?: FieldPolicy<any> | FieldReadFunction<any>,
	id?: FieldPolicy<any> | FieldReadFunction<any>,
	readReceipt?: FieldPolicy<any> | FieldReadFunction<any>,
	team?: FieldPolicy<any> | FieldReadFunction<any>,
	timestamp?: FieldPolicy<any> | FieldReadFunction<any>,
	type?: FieldPolicy<any> | FieldReadFunction<any>
};
export type ActionLogsSubscriptionKeySpecifier = ('actionLog' | ActionLogsSubscriptionKeySpecifier)[];
export type ActionLogsSubscriptionFieldPolicy = {
	actionLog?: FieldPolicy<any> | FieldReadFunction<any>
};
export type AddDefinitionAccessMutationKeySpecifier = ('operationDone' | AddDefinitionAccessMutationKeySpecifier)[];
export type AddDefinitionAccessMutationFieldPolicy = {
	operationDone?: FieldPolicy<any> | FieldReadFunction<any>
};
export type AnalyticsActionLogsSubscriptionKeySpecifier = ('actionLog' | AnalyticsActionLogsSubscriptionKeySpecifier)[];
export type AnalyticsActionLogsSubscriptionFieldPolicy = {
	actionLog?: FieldPolicy<any> | FieldReadFunction<any>
};
export type AnalyticsEmailThreadSubscriptionKeySpecifier = ('emailThread' | AnalyticsEmailThreadSubscriptionKeySpecifier)[];
export type AnalyticsEmailThreadSubscriptionFieldPolicy = {
	emailThread?: FieldPolicy<any> | FieldReadFunction<any>
};
export type AnalyticsMilestonesSubscriptionKeySpecifier = ('milestones' | AnalyticsMilestonesSubscriptionKeySpecifier)[];
export type AnalyticsMilestonesSubscriptionFieldPolicy = {
	milestones?: FieldPolicy<any> | FieldReadFunction<any>
};
export type AnswerQuestionnaireMutationKeySpecifier = ('operationDone' | AnswerQuestionnaireMutationKeySpecifier)[];
export type AnswerQuestionnaireMutationFieldPolicy = {
	operationDone?: FieldPolicy<any> | FieldReadFunction<any>
};
export type AssignInstructorsToExerciseKeySpecifier = ('operationDone' | AssignInstructorsToExerciseKeySpecifier)[];
export type AssignInstructorsToExerciseFieldPolicy = {
	operationDone?: FieldPolicy<any> | FieldReadFunction<any>
};
export type AssignUsersToTeamMutationKeySpecifier = ('operationDone' | AssignUsersToTeamMutationKeySpecifier)[];
export type AssignUsersToTeamMutationFieldPolicy = {
	operationDone?: FieldPolicy<any> | FieldReadFunction<any>
};
export type ChangeUserDataMutationKeySpecifier = ('user' | ChangeUserDataMutationKeySpecifier)[];
export type ChangeUserDataMutationFieldPolicy = {
	user?: FieldPolicy<any> | FieldReadFunction<any>
};
export type ChannelReadReceiptKeySpecifier = ('readReceipt' | 'teamId' | ChannelReadReceiptKeySpecifier)[];
export type ChannelReadReceiptFieldPolicy = {
	readReceipt?: FieldPolicy<any> | FieldReadFunction<any>,
	teamId?: FieldPolicy<any> | FieldReadFunction<any>
};
export type ChannelReceiptKeySpecifier = ('channelId' | 'readReceipt' | 'teamId' | ChannelReceiptKeySpecifier)[];
export type ChannelReceiptFieldPolicy = {
	channelId?: FieldPolicy<any> | FieldReadFunction<any>,
	readReceipt?: FieldPolicy<any> | FieldReadFunction<any>,
	teamId?: FieldPolicy<any> | FieldReadFunction<any>
};
export type ConfigOverrideTypeKeySpecifier = ('customEmailSuffix' | 'customTeamNames' | 'emailBetweenTeams' | 'exerciseDuration' | 'showExerciseTime' | ConfigOverrideTypeKeySpecifier)[];
export type ConfigOverrideTypeFieldPolicy = {
	customEmailSuffix?: FieldPolicy<any> | FieldReadFunction<any>,
	customTeamNames?: FieldPolicy<any> | FieldReadFunction<any>,
	emailBetweenTeams?: FieldPolicy<any> | FieldReadFunction<any>,
	exerciseDuration?: FieldPolicy<any> | FieldReadFunction<any>,
	showExerciseTime?: FieldPolicy<any> | FieldReadFunction<any>
};
export type ContentTypeKeySpecifier = ('fileInfo' | 'id' | 'raw' | 'rendered' | ContentTypeKeySpecifier)[];
export type ContentTypeFieldPolicy = {
	fileInfo?: FieldPolicy<any> | FieldReadFunction<any>,
	id?: FieldPolicy<any> | FieldReadFunction<any>,
	raw?: FieldPolicy<any> | FieldReadFunction<any>,
	rendered?: FieldPolicy<any> | FieldReadFunction<any>
};
export type ControlTypeKeySpecifier = ('activateMilestone' | 'deactivateMilestone' | 'id' | 'milestoneCondition' | 'roles' | ControlTypeKeySpecifier)[];
export type ControlTypeFieldPolicy = {
	activateMilestone?: FieldPolicy<any> | FieldReadFunction<any>,
	deactivateMilestone?: FieldPolicy<any> | FieldReadFunction<any>,
	id?: FieldPolicy<any> | FieldReadFunction<any>,
	milestoneCondition?: FieldPolicy<any> | FieldReadFunction<any>,
	roles?: FieldPolicy<any> | FieldReadFunction<any>
};
export type CreateExerciseMutationKeySpecifier = ('exercise' | CreateExerciseMutationKeySpecifier)[];
export type CreateExerciseMutationFieldPolicy = {
	exercise?: FieldPolicy<any> | FieldReadFunction<any>
};
export type CreateExerciseTypeKeySpecifier = ('configOverride' | 'definitionId' | 'name' | 'teamCount' | CreateExerciseTypeKeySpecifier)[];
export type CreateExerciseTypeFieldPolicy = {
	configOverride?: FieldPolicy<any> | FieldReadFunction<any>,
	definitionId?: FieldPolicy<any> | FieldReadFunction<any>,
	name?: FieldPolicy<any> | FieldReadFunction<any>,
	teamCount?: FieldPolicy<any> | FieldReadFunction<any>
};
export type CreateThreadMutationKeySpecifier = ('thread' | CreateThreadMutationKeySpecifier)[];
export type CreateThreadMutationFieldPolicy = {
	thread?: FieldPolicy<any> | FieldReadFunction<any>
};
export type CustomInjectDetailsTypeKeySpecifier = ('content' | 'id' | 'user' | CustomInjectDetailsTypeKeySpecifier)[];
export type CustomInjectDetailsTypeFieldPolicy = {
	content?: FieldPolicy<any> | FieldReadFunction<any>,
	id?: FieldPolicy<any> | FieldReadFunction<any>,
	user?: FieldPolicy<any> | FieldReadFunction<any>
};
export type DefinitionChannelTypeKeySpecifier = ('definition' | 'id' | 'name' | 'readReceipt' | 'type' | DefinitionChannelTypeKeySpecifier)[];
export type DefinitionChannelTypeFieldPolicy = {
	definition?: FieldPolicy<any> | FieldReadFunction<any>,
	id?: FieldPolicy<any> | FieldReadFunction<any>,
	name?: FieldPolicy<any> | FieldReadFunction<any>,
	readReceipt?: FieldPolicy<any> | FieldReadFunction<any>,
	type?: FieldPolicy<any> | FieldReadFunction<any>
};
export type DefinitionInjectTypeKeySpecifier = ('auto' | 'delay' | 'id' | 'name' | 'organization' | 'time' | 'type' | DefinitionInjectTypeKeySpecifier)[];
export type DefinitionInjectTypeFieldPolicy = {
	auto?: FieldPolicy<any> | FieldReadFunction<any>,
	delay?: FieldPolicy<any> | FieldReadFunction<any>,
	id?: FieldPolicy<any> | FieldReadFunction<any>,
	name?: FieldPolicy<any> | FieldReadFunction<any>,
	organization?: FieldPolicy<any> | FieldReadFunction<any>,
	time?: FieldPolicy<any> | FieldReadFunction<any>,
	type?: FieldPolicy<any> | FieldReadFunction<any>
};
export type DefinitionRoleTypeKeySpecifier = ('definition' | 'id' | 'name' | DefinitionRoleTypeKeySpecifier)[];
export type DefinitionRoleTypeFieldPolicy = {
	definition?: FieldPolicy<any> | FieldReadFunction<any>,
	id?: FieldPolicy<any> | FieldReadFunction<any>,
	name?: FieldPolicy<any> | FieldReadFunction<any>
};
export type DefinitionTypeKeySpecifier = ('addresses' | 'channels' | 'exercises' | 'files' | 'id' | 'injects' | 'learningObjectives' | 'name' | 'questionnaires' | 'roles' | 'tools' | 'userSet' | 'version' | DefinitionTypeKeySpecifier)[];
export type DefinitionTypeFieldPolicy = {
	addresses?: FieldPolicy<any> | FieldReadFunction<any>,
	channels?: FieldPolicy<any> | FieldReadFunction<any>,
	exercises?: FieldPolicy<any> | FieldReadFunction<any>,
	files?: FieldPolicy<any> | FieldReadFunction<any>,
	id?: FieldPolicy<any> | FieldReadFunction<any>,
	injects?: FieldPolicy<any> | FieldReadFunction<any>,
	learningObjectives?: FieldPolicy<any> | FieldReadFunction<any>,
	name?: FieldPolicy<any> | FieldReadFunction<any>,
	questionnaires?: FieldPolicy<any> | FieldReadFunction<any>,
	roles?: FieldPolicy<any> | FieldReadFunction<any>,
	tools?: FieldPolicy<any> | FieldReadFunction<any>,
	userSet?: FieldPolicy<any> | FieldReadFunction<any>,
	version?: FieldPolicy<any> | FieldReadFunction<any>
};
export type DeleteDefinitionMutationKeySpecifier = ('operationDone' | DeleteDefinitionMutationKeySpecifier)[];
export type DeleteDefinitionMutationFieldPolicy = {
	operationDone?: FieldPolicy<any> | FieldReadFunction<any>
};
export type DeleteExerciseMutationKeySpecifier = ('operationDone' | DeleteExerciseMutationKeySpecifier)[];
export type DeleteExerciseMutationFieldPolicy = {
	operationDone?: FieldPolicy<any> | FieldReadFunction<any>
};
export type EmailAddressTypeKeySpecifier = ('address' | 'control' | 'definition' | 'description' | 'id' | 'organization' | 'teamVisible' | 'templates' | EmailAddressTypeKeySpecifier)[];
export type EmailAddressTypeFieldPolicy = {
	address?: FieldPolicy<any> | FieldReadFunction<any>,
	control?: FieldPolicy<any> | FieldReadFunction<any>,
	definition?: FieldPolicy<any> | FieldReadFunction<any>,
	description?: FieldPolicy<any> | FieldReadFunction<any>,
	id?: FieldPolicy<any> | FieldReadFunction<any>,
	organization?: FieldPolicy<any> | FieldReadFunction<any>,
	teamVisible?: FieldPolicy<any> | FieldReadFunction<any>,
	templates?: FieldPolicy<any> | FieldReadFunction<any>
};
export type EmailDraftTypeKeySpecifier = ('activateMilestone' | 'content' | 'deactivateMilestone' | 'emailThreadId' | 'fileId' | 'instructor' | 'selectedContacts' | 'senderAddress' | 'subject' | 'teamId' | 'templateId' | EmailDraftTypeKeySpecifier)[];
export type EmailDraftTypeFieldPolicy = {
	activateMilestone?: FieldPolicy<any> | FieldReadFunction<any>,
	content?: FieldPolicy<any> | FieldReadFunction<any>,
	deactivateMilestone?: FieldPolicy<any> | FieldReadFunction<any>,
	emailThreadId?: FieldPolicy<any> | FieldReadFunction<any>,
	fileId?: FieldPolicy<any> | FieldReadFunction<any>,
	instructor?: FieldPolicy<any> | FieldReadFunction<any>,
	selectedContacts?: FieldPolicy<any> | FieldReadFunction<any>,
	senderAddress?: FieldPolicy<any> | FieldReadFunction<any>,
	subject?: FieldPolicy<any> | FieldReadFunction<any>,
	teamId?: FieldPolicy<any> | FieldReadFunction<any>,
	templateId?: FieldPolicy<any> | FieldReadFunction<any>
};
export type EmailParticipantTypeKeySpecifier = ('address' | 'definitionAddress' | 'emails' | 'exercise' | 'id' | 'team' | 'threads' | EmailParticipantTypeKeySpecifier)[];
export type EmailParticipantTypeFieldPolicy = {
	address?: FieldPolicy<any> | FieldReadFunction<any>,
	definitionAddress?: FieldPolicy<any> | FieldReadFunction<any>,
	emails?: FieldPolicy<any> | FieldReadFunction<any>,
	exercise?: FieldPolicy<any> | FieldReadFunction<any>,
	id?: FieldPolicy<any> | FieldReadFunction<any>,
	team?: FieldPolicy<any> | FieldReadFunction<any>,
	threads?: FieldPolicy<any> | FieldReadFunction<any>
};
export type EmailReceiptKeySpecifier = ('emailId' | 'readReceipt' | EmailReceiptKeySpecifier)[];
export type EmailReceiptFieldPolicy = {
	emailId?: FieldPolicy<any> | FieldReadFunction<any>,
	readReceipt?: FieldPolicy<any> | FieldReadFunction<any>
};
export type EmailTemplateTypeKeySpecifier = ('content' | 'context' | 'control' | 'id' | 'sender' | EmailTemplateTypeKeySpecifier)[];
export type EmailTemplateTypeFieldPolicy = {
	content?: FieldPolicy<any> | FieldReadFunction<any>,
	context?: FieldPolicy<any> | FieldReadFunction<any>,
	control?: FieldPolicy<any> | FieldReadFunction<any>,
	id?: FieldPolicy<any> | FieldReadFunction<any>,
	sender?: FieldPolicy<any> | FieldReadFunction<any>
};
export type EmailThreadReceiptKeySpecifier = ('emailThreadId' | 'readReceipt' | EmailThreadReceiptKeySpecifier)[];
export type EmailThreadReceiptFieldPolicy = {
	emailThreadId?: FieldPolicy<any> | FieldReadFunction<any>,
	readReceipt?: FieldPolicy<any> | FieldReadFunction<any>
};
export type EmailThreadSubscriptionKeySpecifier = ('emailThread' | EmailThreadSubscriptionKeySpecifier)[];
export type EmailThreadSubscriptionFieldPolicy = {
	emailThread?: FieldPolicy<any> | FieldReadFunction<any>
};
export type EmailThreadTypeKeySpecifier = ('emails' | 'exercise' | 'id' | 'lastEmail' | 'participants' | 'readReceipt' | 'subject' | 'timestamp' | EmailThreadTypeKeySpecifier)[];
export type EmailThreadTypeFieldPolicy = {
	emails?: FieldPolicy<any> | FieldReadFunction<any>,
	exercise?: FieldPolicy<any> | FieldReadFunction<any>,
	id?: FieldPolicy<any> | FieldReadFunction<any>,
	lastEmail?: FieldPolicy<any> | FieldReadFunction<any>,
	participants?: FieldPolicy<any> | FieldReadFunction<any>,
	readReceipt?: FieldPolicy<any> | FieldReadFunction<any>,
	subject?: FieldPolicy<any> | FieldReadFunction<any>,
	timestamp?: FieldPolicy<any> | FieldReadFunction<any>
};
export type EmailTypeKeySpecifier = ('content' | 'id' | 'overlay' | 'readReceipt' | 'sender' | 'thread' | 'timestamp' | 'user' | EmailTypeKeySpecifier)[];
export type EmailTypeFieldPolicy = {
	content?: FieldPolicy<any> | FieldReadFunction<any>,
	id?: FieldPolicy<any> | FieldReadFunction<any>,
	overlay?: FieldPolicy<any> | FieldReadFunction<any>,
	readReceipt?: FieldPolicy<any> | FieldReadFunction<any>,
	sender?: FieldPolicy<any> | FieldReadFunction<any>,
	thread?: FieldPolicy<any> | FieldReadFunction<any>,
	timestamp?: FieldPolicy<any> | FieldReadFunction<any>,
	user?: FieldPolicy<any> | FieldReadFunction<any>
};
export type ExerciseDefinitionTypeKeySpecifier = ('id' | 'name' | ExerciseDefinitionTypeKeySpecifier)[];
export type ExerciseDefinitionTypeFieldPolicy = {
	id?: FieldPolicy<any> | FieldReadFunction<any>,
	name?: FieldPolicy<any> | FieldReadFunction<any>
};
export type ExerciseLoopRunningSubscriptionKeySpecifier = ('exerciseLoopRunning' | ExerciseLoopRunningSubscriptionKeySpecifier)[];
export type ExerciseLoopRunningSubscriptionFieldPolicy = {
	exerciseLoopRunning?: FieldPolicy<any> | FieldReadFunction<any>
};
export type ExerciseTypeKeySpecifier = ('definition' | 'elapsedS' | 'emailParticipants' | 'exerciseStart' | 'finished' | 'id' | 'name' | 'running' | 'teams' | 'threads' | 'userSet' | 'uuid' | ExerciseTypeKeySpecifier)[];
export type ExerciseTypeFieldPolicy = {
	definition?: FieldPolicy<any> | FieldReadFunction<any>,
	elapsedS?: FieldPolicy<any> | FieldReadFunction<any>,
	emailParticipants?: FieldPolicy<any> | FieldReadFunction<any>,
	exerciseStart?: FieldPolicy<any> | FieldReadFunction<any>,
	finished?: FieldPolicy<any> | FieldReadFunction<any>,
	id?: FieldPolicy<any> | FieldReadFunction<any>,
	name?: FieldPolicy<any> | FieldReadFunction<any>,
	running?: FieldPolicy<any> | FieldReadFunction<any>,
	teams?: FieldPolicy<any> | FieldReadFunction<any>,
	threads?: FieldPolicy<any> | FieldReadFunction<any>,
	userSet?: FieldPolicy<any> | FieldReadFunction<any>,
	uuid?: FieldPolicy<any> | FieldReadFunction<any>
};
export type ExercisesSubscriptionKeySpecifier = ('eventType' | 'exercise' | ExercisesSubscriptionKeySpecifier)[];
export type ExercisesSubscriptionFieldPolicy = {
	eventType?: FieldPolicy<any> | FieldReadFunction<any>,
	exercise?: FieldPolicy<any> | FieldReadFunction<any>
};
export type ExtendedToolTypeKeySpecifier = ('defaultResponse' | 'definition' | 'hasParam' | 'hint' | 'id' | 'name' | 'responses' | 'roles' | 'toolDetails' | 'tooltipDescription' | ExtendedToolTypeKeySpecifier)[];
export type ExtendedToolTypeFieldPolicy = {
	defaultResponse?: FieldPolicy<any> | FieldReadFunction<any>,
	definition?: FieldPolicy<any> | FieldReadFunction<any>,
	hasParam?: FieldPolicy<any> | FieldReadFunction<any>,
	hint?: FieldPolicy<any> | FieldReadFunction<any>,
	id?: FieldPolicy<any> | FieldReadFunction<any>,
	name?: FieldPolicy<any> | FieldReadFunction<any>,
	responses?: FieldPolicy<any> | FieldReadFunction<any>,
	roles?: FieldPolicy<any> | FieldReadFunction<any>,
	toolDetails?: FieldPolicy<any> | FieldReadFunction<any>,
	tooltipDescription?: FieldPolicy<any> | FieldReadFunction<any>
};
export type FileInfoTypeKeySpecifier = ('content' | 'definition' | 'fileName' | 'id' | FileInfoTypeKeySpecifier)[];
export type FileInfoTypeFieldPolicy = {
	content?: FieldPolicy<any> | FieldReadFunction<any>,
	definition?: FieldPolicy<any> | FieldReadFunction<any>,
	fileName?: FieldPolicy<any> | FieldReadFunction<any>,
	id?: FieldPolicy<any> | FieldReadFunction<any>
};
export type GrapheneConfigKeySpecifier = ('customEmailSuffix' | 'emailBetweenTeams' | 'enableRoles' | 'exerciseDuration' | 'showExerciseTime' | GrapheneConfigKeySpecifier)[];
export type GrapheneConfigFieldPolicy = {
	customEmailSuffix?: FieldPolicy<any> | FieldReadFunction<any>,
	emailBetweenTeams?: FieldPolicy<any> | FieldReadFunction<any>,
	enableRoles?: FieldPolicy<any> | FieldReadFunction<any>,
	exerciseDuration?: FieldPolicy<any> | FieldReadFunction<any>,
	showExerciseTime?: FieldPolicy<any> | FieldReadFunction<any>
};
export type GroupTypeKeySpecifier = ('id' | 'name' | GroupTypeKeySpecifier)[];
export type GroupTypeFieldPolicy = {
	id?: FieldPolicy<any> | FieldReadFunction<any>,
	name?: FieldPolicy<any> | FieldReadFunction<any>
};
export type InjectDetailsTypeKeySpecifier = ('content' | 'id' | 'inject' | 'overlay' | InjectDetailsTypeKeySpecifier)[];
export type InjectDetailsTypeFieldPolicy = {
	content?: FieldPolicy<any> | FieldReadFunction<any>,
	id?: FieldPolicy<any> | FieldReadFunction<any>,
	inject?: FieldPolicy<any> | FieldReadFunction<any>,
	overlay?: FieldPolicy<any> | FieldReadFunction<any>
};
export type InjectOptionTypeKeySpecifier = ('content' | 'control' | 'id' | 'injectSelection' | 'name' | 'sender' | InjectOptionTypeKeySpecifier)[];
export type InjectOptionTypeFieldPolicy = {
	content?: FieldPolicy<any> | FieldReadFunction<any>,
	control?: FieldPolicy<any> | FieldReadFunction<any>,
	id?: FieldPolicy<any> | FieldReadFunction<any>,
	injectSelection?: FieldPolicy<any> | FieldReadFunction<any>,
	name?: FieldPolicy<any> | FieldReadFunction<any>,
	sender?: FieldPolicy<any> | FieldReadFunction<any>
};
export type InjectSelectionConfirmationTypeKeySpecifier = ('injectSelectionId' | 'submitted' | InjectSelectionConfirmationTypeKeySpecifier)[];
export type InjectSelectionConfirmationTypeFieldPolicy = {
	injectSelectionId?: FieldPolicy<any> | FieldReadFunction<any>,
	submitted?: FieldPolicy<any> | FieldReadFunction<any>
};
export type InjectSelectionTypeKeySpecifier = ('id' | 'name' | 'options' | 'submitted' | 'team' | 'timestamp' | InjectSelectionTypeKeySpecifier)[];
export type InjectSelectionTypeFieldPolicy = {
	id?: FieldPolicy<any> | FieldReadFunction<any>,
	name?: FieldPolicy<any> | FieldReadFunction<any>,
	options?: FieldPolicy<any> | FieldReadFunction<any>,
	submitted?: FieldPolicy<any> | FieldReadFunction<any>,
	team?: FieldPolicy<any> | FieldReadFunction<any>,
	timestamp?: FieldPolicy<any> | FieldReadFunction<any>
};
export type InjectSelectionsSubscriptionKeySpecifier = ('injectSelection' | InjectSelectionsSubscriptionKeySpecifier)[];
export type InjectSelectionsSubscriptionFieldPolicy = {
	injectSelection?: FieldPolicy<any> | FieldReadFunction<any>
};
export type LearningActivityTypeKeySpecifier = ('id' | 'milestones' | 'name' | 'objective' | 'tags' | LearningActivityTypeKeySpecifier)[];
export type LearningActivityTypeFieldPolicy = {
	id?: FieldPolicy<any> | FieldReadFunction<any>,
	milestones?: FieldPolicy<any> | FieldReadFunction<any>,
	name?: FieldPolicy<any> | FieldReadFunction<any>,
	objective?: FieldPolicy<any> | FieldReadFunction<any>,
	tags?: FieldPolicy<any> | FieldReadFunction<any>
};
export type LearningObjectiveTypeKeySpecifier = ('activities' | 'definition' | 'id' | 'name' | 'tags' | LearningObjectiveTypeKeySpecifier)[];
export type LearningObjectiveTypeFieldPolicy = {
	activities?: FieldPolicy<any> | FieldReadFunction<any>,
	definition?: FieldPolicy<any> | FieldReadFunction<any>,
	id?: FieldPolicy<any> | FieldReadFunction<any>,
	name?: FieldPolicy<any> | FieldReadFunction<any>,
	tags?: FieldPolicy<any> | FieldReadFunction<any>
};
export type LoginMutationKeySpecifier = ('user' | LoginMutationKeySpecifier)[];
export type LoginMutationFieldPolicy = {
	user?: FieldPolicy<any> | FieldReadFunction<any>
};
export type LogoutMutationKeySpecifier = ('loggedOut' | LogoutMutationKeySpecifier)[];
export type LogoutMutationFieldPolicy = {
	loggedOut?: FieldPolicy<any> | FieldReadFunction<any>
};
export type MilestoneStateTypeKeySpecifier = ('activity' | 'id' | 'milestone' | 'reached' | 'teamIds' | 'timestampReached' | MilestoneStateTypeKeySpecifier)[];
export type MilestoneStateTypeFieldPolicy = {
	activity?: FieldPolicy<any> | FieldReadFunction<any>,
	id?: FieldPolicy<any> | FieldReadFunction<any>,
	milestone?: FieldPolicy<any> | FieldReadFunction<any>,
	reached?: FieldPolicy<any> | FieldReadFunction<any>,
	teamIds?: FieldPolicy<any> | FieldReadFunction<any>,
	timestampReached?: FieldPolicy<any> | FieldReadFunction<any>
};
export type MilestoneTypeKeySpecifier = ('activity' | 'fileNames' | 'final' | 'id' | 'name' | 'roles' | 'teamVisible' | MilestoneTypeKeySpecifier)[];
export type MilestoneTypeFieldPolicy = {
	activity?: FieldPolicy<any> | FieldReadFunction<any>,
	fileNames?: FieldPolicy<any> | FieldReadFunction<any>,
	final?: FieldPolicy<any> | FieldReadFunction<any>,
	id?: FieldPolicy<any> | FieldReadFunction<any>,
	name?: FieldPolicy<any> | FieldReadFunction<any>,
	roles?: FieldPolicy<any> | FieldReadFunction<any>,
	teamVisible?: FieldPolicy<any> | FieldReadFunction<any>
};
export type MilestonesSubscriptionKeySpecifier = ('milestones' | MilestonesSubscriptionKeySpecifier)[];
export type MilestonesSubscriptionFieldPolicy = {
	milestones?: FieldPolicy<any> | FieldReadFunction<any>
};
export type ModifyMilestoneMutationKeySpecifier = ('operationDone' | ModifyMilestoneMutationKeySpecifier)[];
export type ModifyMilestoneMutationFieldPolicy = {
	operationDone?: FieldPolicy<any> | FieldReadFunction<any>
};
export type MoveExerciseTimeMutationKeySpecifier = ('exercise' | MoveExerciseTimeMutationKeySpecifier)[];
export type MoveExerciseTimeMutationFieldPolicy = {
	exercise?: FieldPolicy<any> | FieldReadFunction<any>
};
export type MutationKeySpecifier = ('addDefinitionAccess' | 'answerQuestionnaire' | 'assignInstructorsToExercise' | 'assignUsersToTeam' | 'changeUserData' | 'createExercise' | 'createThread' | 'deleteDefinition' | 'deleteExercise' | 'login' | 'logout' | 'modifyMilestone' | 'moveTime' | 'passwordChange' | 'removeDefinitionAccess' | 'removeInstructorsFromExercise' | 'removeUsersFromTeam' | 'resetReadReceiptChannel' | 'resetReadReceiptEmailThread' | 'selectTeamInjectOption' | 'sendEmail' | 'startExercise' | 'stopExercise' | 'useTool' | 'writeEmailDraft' | 'writeInjectSelectionConfirmation' | 'writeReadReceipt' | 'writeReadReceiptChannel' | 'writeReadReceiptEmail' | 'writeReadReceiptEmailThread' | MutationKeySpecifier)[];
export type MutationFieldPolicy = {
	addDefinitionAccess?: FieldPolicy<any> | FieldReadFunction<any>,
	answerQuestionnaire?: FieldPolicy<any> | FieldReadFunction<any>,
	assignInstructorsToExercise?: FieldPolicy<any> | FieldReadFunction<any>,
	assignUsersToTeam?: FieldPolicy<any> | FieldReadFunction<any>,
	changeUserData?: FieldPolicy<any> | FieldReadFunction<any>,
	createExercise?: FieldPolicy<any> | FieldReadFunction<any>,
	createThread?: FieldPolicy<any> | FieldReadFunction<any>,
	deleteDefinition?: FieldPolicy<any> | FieldReadFunction<any>,
	deleteExercise?: FieldPolicy<any> | FieldReadFunction<any>,
	login?: FieldPolicy<any> | FieldReadFunction<any>,
	logout?: FieldPolicy<any> | FieldReadFunction<any>,
	modifyMilestone?: FieldPolicy<any> | FieldReadFunction<any>,
	moveTime?: FieldPolicy<any> | FieldReadFunction<any>,
	passwordChange?: FieldPolicy<any> | FieldReadFunction<any>,
	removeDefinitionAccess?: FieldPolicy<any> | FieldReadFunction<any>,
	removeInstructorsFromExercise?: FieldPolicy<any> | FieldReadFunction<any>,
	removeUsersFromTeam?: FieldPolicy<any> | FieldReadFunction<any>,
	resetReadReceiptChannel?: FieldPolicy<any> | FieldReadFunction<any>,
	resetReadReceiptEmailThread?: FieldPolicy<any> | FieldReadFunction<any>,
	selectTeamInjectOption?: FieldPolicy<any> | FieldReadFunction<any>,
	sendEmail?: FieldPolicy<any> | FieldReadFunction<any>,
	startExercise?: FieldPolicy<any> | FieldReadFunction<any>,
	stopExercise?: FieldPolicy<any> | FieldReadFunction<any>,
	useTool?: FieldPolicy<any> | FieldReadFunction<any>,
	writeEmailDraft?: FieldPolicy<any> | FieldReadFunction<any>,
	writeInjectSelectionConfirmation?: FieldPolicy<any> | FieldReadFunction<any>,
	writeReadReceipt?: FieldPolicy<any> | FieldReadFunction<any>,
	writeReadReceiptChannel?: FieldPolicy<any> | FieldReadFunction<any>,
	writeReadReceiptEmail?: FieldPolicy<any> | FieldReadFunction<any>,
	writeReadReceiptEmailThread?: FieldPolicy<any> | FieldReadFunction<any>
};
export type OverlayTypeKeySpecifier = ('duration' | 'id' | OverlayTypeKeySpecifier)[];
export type OverlayTypeFieldPolicy = {
	duration?: FieldPolicy<any> | FieldReadFunction<any>,
	id?: FieldPolicy<any> | FieldReadFunction<any>
};
export type PasswordChangeKeySpecifier = ('passwordChanged' | PasswordChangeKeySpecifier)[];
export type PasswordChangeFieldPolicy = {
	passwordChanged?: FieldPolicy<any> | FieldReadFunction<any>
};
export type QueryKeySpecifier = ('actionLog' | 'analyticsActionLogs' | 'analyticsEmailThreads' | 'analyticsMilestones' | 'autoInjects' | 'channel' | 'definition' | 'definitions' | 'emailAddresses' | 'emailContact' | 'emailContacts' | 'emailTemplates' | 'emailThread' | 'emailThreads' | 'exerciseChannels' | 'exerciseConfig' | 'exerciseId' | 'exerciseLoopRunning' | 'exerciseQuestionnaires' | 'exerciseTimeLeft' | 'exerciseTools' | 'exercises' | 'extendedTeamTools' | 'fileInfo' | 'groups' | 'milestones' | 'questionnaireState' | 'returnLocalEmailDraft' | 'tags' | 'team' | 'teamActionLogs' | 'teamChannelLogs' | 'teamEmailParticipant' | 'teamInjectSelections' | 'teamLearningObjectives' | 'teamMilestones' | 'teamQuestionnaires' | 'teamRoles' | 'teamTools' | 'teamUploadedFiles' | 'threadTemplate' | 'threadTemplates' | 'user' | 'users' | 'validateEmailAddress' | 'whoAmI' | QueryKeySpecifier)[];
export type QueryFieldPolicy = {
	actionLog?: FieldPolicy<any> | FieldReadFunction<any>,
	analyticsActionLogs?: FieldPolicy<any> | FieldReadFunction<any>,
	analyticsEmailThreads?: FieldPolicy<any> | FieldReadFunction<any>,
	analyticsMilestones?: FieldPolicy<any> | FieldReadFunction<any>,
	autoInjects?: FieldPolicy<any> | FieldReadFunction<any>,
	channel?: FieldPolicy<any> | FieldReadFunction<any>,
	definition?: FieldPolicy<any> | FieldReadFunction<any>,
	definitions?: FieldPolicy<any> | FieldReadFunction<any>,
	emailAddresses?: FieldPolicy<any> | FieldReadFunction<any>,
	emailContact?: FieldPolicy<any> | FieldReadFunction<any>,
	emailContacts?: FieldPolicy<any> | FieldReadFunction<any>,
	emailTemplates?: FieldPolicy<any> | FieldReadFunction<any>,
	emailThread?: FieldPolicy<any> | FieldReadFunction<any>,
	emailThreads?: FieldPolicy<any> | FieldReadFunction<any>,
	exerciseChannels?: FieldPolicy<any> | FieldReadFunction<any>,
	exerciseConfig?: FieldPolicy<any> | FieldReadFunction<any>,
	exerciseId?: FieldPolicy<any> | FieldReadFunction<any>,
	exerciseLoopRunning?: FieldPolicy<any> | FieldReadFunction<any>,
	exerciseQuestionnaires?: FieldPolicy<any> | FieldReadFunction<any>,
	exerciseTimeLeft?: FieldPolicy<any> | FieldReadFunction<any>,
	exerciseTools?: FieldPolicy<any> | FieldReadFunction<any>,
	exercises?: FieldPolicy<any> | FieldReadFunction<any>,
	extendedTeamTools?: FieldPolicy<any> | FieldReadFunction<any>,
	fileInfo?: FieldPolicy<any> | FieldReadFunction<any>,
	groups?: FieldPolicy<any> | FieldReadFunction<any>,
	milestones?: FieldPolicy<any> | FieldReadFunction<any>,
	questionnaireState?: FieldPolicy<any> | FieldReadFunction<any>,
	returnLocalEmailDraft?: FieldPolicy<any> | FieldReadFunction<any>,
	tags?: FieldPolicy<any> | FieldReadFunction<any>,
	team?: FieldPolicy<any> | FieldReadFunction<any>,
	teamActionLogs?: FieldPolicy<any> | FieldReadFunction<any>,
	teamChannelLogs?: FieldPolicy<any> | FieldReadFunction<any>,
	teamEmailParticipant?: FieldPolicy<any> | FieldReadFunction<any>,
	teamInjectSelections?: FieldPolicy<any> | FieldReadFunction<any>,
	teamLearningObjectives?: FieldPolicy<any> | FieldReadFunction<any>,
	teamMilestones?: FieldPolicy<any> | FieldReadFunction<any>,
	teamQuestionnaires?: FieldPolicy<any> | FieldReadFunction<any>,
	teamRoles?: FieldPolicy<any> | FieldReadFunction<any>,
	teamTools?: FieldPolicy<any> | FieldReadFunction<any>,
	teamUploadedFiles?: FieldPolicy<any> | FieldReadFunction<any>,
	threadTemplate?: FieldPolicy<any> | FieldReadFunction<any>,
	threadTemplates?: FieldPolicy<any> | FieldReadFunction<any>,
	user?: FieldPolicy<any> | FieldReadFunction<any>,
	users?: FieldPolicy<any> | FieldReadFunction<any>,
	validateEmailAddress?: FieldPolicy<any> | FieldReadFunction<any>,
	whoAmI?: FieldPolicy<any> | FieldReadFunction<any>
};
export type QuestionTypeKeySpecifier = ('control' | 'correct' | 'id' | 'labels' | 'max' | 'questionnaire' | 'text' | QuestionTypeKeySpecifier)[];
export type QuestionTypeFieldPolicy = {
	control?: FieldPolicy<any> | FieldReadFunction<any>,
	correct?: FieldPolicy<any> | FieldReadFunction<any>,
	id?: FieldPolicy<any> | FieldReadFunction<any>,
	labels?: FieldPolicy<any> | FieldReadFunction<any>,
	max?: FieldPolicy<any> | FieldReadFunction<any>,
	questionnaire?: FieldPolicy<any> | FieldReadFunction<any>,
	text?: FieldPolicy<any> | FieldReadFunction<any>
};
export type QuestionnaireAnswerTypeKeySpecifier = ('choice' | 'id' | 'isCorrect' | 'question' | 'teamQuestionnaireState' | QuestionnaireAnswerTypeKeySpecifier)[];
export type QuestionnaireAnswerTypeFieldPolicy = {
	choice?: FieldPolicy<any> | FieldReadFunction<any>,
	id?: FieldPolicy<any> | FieldReadFunction<any>,
	isCorrect?: FieldPolicy<any> | FieldReadFunction<any>,
	question?: FieldPolicy<any> | FieldReadFunction<any>,
	teamQuestionnaireState?: FieldPolicy<any> | FieldReadFunction<any>
};
export type QuestionnaireTypeKeySpecifier = ('control' | 'definition' | 'id' | 'overlay' | 'questions' | 'teamQuestionnaireStates' | 'time' | 'title' | QuestionnaireTypeKeySpecifier)[];
export type QuestionnaireTypeFieldPolicy = {
	control?: FieldPolicy<any> | FieldReadFunction<any>,
	definition?: FieldPolicy<any> | FieldReadFunction<any>,
	id?: FieldPolicy<any> | FieldReadFunction<any>,
	overlay?: FieldPolicy<any> | FieldReadFunction<any>,
	questions?: FieldPolicy<any> | FieldReadFunction<any>,
	teamQuestionnaireStates?: FieldPolicy<any> | FieldReadFunction<any>,
	time?: FieldPolicy<any> | FieldReadFunction<any>,
	title?: FieldPolicy<any> | FieldReadFunction<any>
};
export type ReadReceiptTypeKeySpecifier = ('actionLogId' | 'readReceipt' | ReadReceiptTypeKeySpecifier)[];
export type ReadReceiptTypeFieldPolicy = {
	actionLogId?: FieldPolicy<any> | FieldReadFunction<any>,
	readReceipt?: FieldPolicy<any> | FieldReadFunction<any>
};
export type RemoveDefinitionAccessMutationKeySpecifier = ('operationDone' | RemoveDefinitionAccessMutationKeySpecifier)[];
export type RemoveDefinitionAccessMutationFieldPolicy = {
	operationDone?: FieldPolicy<any> | FieldReadFunction<any>
};
export type RemoveInstructorsFromExerciseMutationKeySpecifier = ('operationDone' | RemoveInstructorsFromExerciseMutationKeySpecifier)[];
export type RemoveInstructorsFromExerciseMutationFieldPolicy = {
	operationDone?: FieldPolicy<any> | FieldReadFunction<any>
};
export type RemoveUsersFromTeamMutationKeySpecifier = ('operationDone' | RemoveUsersFromTeamMutationKeySpecifier)[];
export type RemoveUsersFromTeamMutationFieldPolicy = {
	operationDone?: FieldPolicy<any> | FieldReadFunction<any>
};
export type RestrictedExerciseKeySpecifier = ('id' | 'uuid' | RestrictedExerciseKeySpecifier)[];
export type RestrictedExerciseFieldPolicy = {
	id?: FieldPolicy<any> | FieldReadFunction<any>,
	uuid?: FieldPolicy<any> | FieldReadFunction<any>
};
export type RestrictedTeamKeySpecifier = ('emailAddress' | 'exercise' | 'id' | 'name' | 'role' | RestrictedTeamKeySpecifier)[];
export type RestrictedTeamFieldPolicy = {
	emailAddress?: FieldPolicy<any> | FieldReadFunction<any>,
	exercise?: FieldPolicy<any> | FieldReadFunction<any>,
	id?: FieldPolicy<any> | FieldReadFunction<any>,
	name?: FieldPolicy<any> | FieldReadFunction<any>,
	role?: FieldPolicy<any> | FieldReadFunction<any>
};
export type RestrictedUserKeySpecifier = ('dateJoined' | 'firstName' | 'group' | 'id' | 'isActive' | 'isImported' | 'isStaff' | 'isSuperuser' | 'lastLogin' | 'lastName' | 'password' | 'tags' | 'username' | RestrictedUserKeySpecifier)[];
export type RestrictedUserFieldPolicy = {
	dateJoined?: FieldPolicy<any> | FieldReadFunction<any>,
	firstName?: FieldPolicy<any> | FieldReadFunction<any>,
	group?: FieldPolicy<any> | FieldReadFunction<any>,
	id?: FieldPolicy<any> | FieldReadFunction<any>,
	isActive?: FieldPolicy<any> | FieldReadFunction<any>,
	isImported?: FieldPolicy<any> | FieldReadFunction<any>,
	isStaff?: FieldPolicy<any> | FieldReadFunction<any>,
	isSuperuser?: FieldPolicy<any> | FieldReadFunction<any>,
	lastLogin?: FieldPolicy<any> | FieldReadFunction<any>,
	lastName?: FieldPolicy<any> | FieldReadFunction<any>,
	password?: FieldPolicy<any> | FieldReadFunction<any>,
	tags?: FieldPolicy<any> | FieldReadFunction<any>,
	username?: FieldPolicy<any> | FieldReadFunction<any>
};
export type SelectTeamInjectOptionMutationKeySpecifier = ('operationDone' | SelectTeamInjectOptionMutationKeySpecifier)[];
export type SelectTeamInjectOptionMutationFieldPolicy = {
	operationDone?: FieldPolicy<any> | FieldReadFunction<any>
};
export type SelectTeamInjectTypeKeySpecifier = ('activateMilestone' | 'content' | 'deactivateMilestone' | 'fileId' | 'optionEmail' | 'repeat' | 'selectionId' | 'sender' | 'subject' | 'teamId' | SelectTeamInjectTypeKeySpecifier)[];
export type SelectTeamInjectTypeFieldPolicy = {
	activateMilestone?: FieldPolicy<any> | FieldReadFunction<any>,
	content?: FieldPolicy<any> | FieldReadFunction<any>,
	deactivateMilestone?: FieldPolicy<any> | FieldReadFunction<any>,
	fileId?: FieldPolicy<any> | FieldReadFunction<any>,
	optionEmail?: FieldPolicy<any> | FieldReadFunction<any>,
	repeat?: FieldPolicy<any> | FieldReadFunction<any>,
	selectionId?: FieldPolicy<any> | FieldReadFunction<any>,
	sender?: FieldPolicy<any> | FieldReadFunction<any>,
	subject?: FieldPolicy<any> | FieldReadFunction<any>,
	teamId?: FieldPolicy<any> | FieldReadFunction<any>
};
export type SendEmailMutationKeySpecifier = ('operationDone' | SendEmailMutationKeySpecifier)[];
export type SendEmailMutationFieldPolicy = {
	operationDone?: FieldPolicy<any> | FieldReadFunction<any>
};
export type SendEmailTypeKeySpecifier = ('activateMilestone' | 'content' | 'deactivateMilestone' | 'fileId' | 'senderAddress' | 'threadId' | SendEmailTypeKeySpecifier)[];
export type SendEmailTypeFieldPolicy = {
	activateMilestone?: FieldPolicy<any> | FieldReadFunction<any>,
	content?: FieldPolicy<any> | FieldReadFunction<any>,
	deactivateMilestone?: FieldPolicy<any> | FieldReadFunction<any>,
	fileId?: FieldPolicy<any> | FieldReadFunction<any>,
	senderAddress?: FieldPolicy<any> | FieldReadFunction<any>,
	threadId?: FieldPolicy<any> | FieldReadFunction<any>
};
export type StartExerciseMutationKeySpecifier = ('exercise' | StartExerciseMutationKeySpecifier)[];
export type StartExerciseMutationFieldPolicy = {
	exercise?: FieldPolicy<any> | FieldReadFunction<any>
};
export type StopExerciseMutationKeySpecifier = ('exercise' | StopExerciseMutationKeySpecifier)[];
export type StopExerciseMutationFieldPolicy = {
	exercise?: FieldPolicy<any> | FieldReadFunction<any>
};
export type SubscriptionKeySpecifier = ('actionLogs' | 'analyticsActionLogsSubscription' | 'analyticsEmailThreadSubscription' | 'analyticsMilestonesSubscription' | 'emailThreads' | 'exerciseLoopRunning' | 'exercisesSubscription' | 'injectSelections' | 'milestones' | 'teamQuestionnaireStateSubscription' | SubscriptionKeySpecifier)[];
export type SubscriptionFieldPolicy = {
	actionLogs?: FieldPolicy<any> | FieldReadFunction<any>,
	analyticsActionLogsSubscription?: FieldPolicy<any> | FieldReadFunction<any>,
	analyticsEmailThreadSubscription?: FieldPolicy<any> | FieldReadFunction<any>,
	analyticsMilestonesSubscription?: FieldPolicy<any> | FieldReadFunction<any>,
	emailThreads?: FieldPolicy<any> | FieldReadFunction<any>,
	exerciseLoopRunning?: FieldPolicy<any> | FieldReadFunction<any>,
	exercisesSubscription?: FieldPolicy<any> | FieldReadFunction<any>,
	injectSelections?: FieldPolicy<any> | FieldReadFunction<any>,
	milestones?: FieldPolicy<any> | FieldReadFunction<any>,
	teamQuestionnaireStateSubscription?: FieldPolicy<any> | FieldReadFunction<any>
};
export type TagTypeKeySpecifier = ('id' | 'name' | TagTypeKeySpecifier)[];
export type TagTypeFieldPolicy = {
	id?: FieldPolicy<any> | FieldReadFunction<any>,
	name?: FieldPolicy<any> | FieldReadFunction<any>
};
export type TeamLearningActivityTypeKeySpecifier = ('activity' | 'id' | 'milestoneStates' | 'reached' | 'teamObjective' | TeamLearningActivityTypeKeySpecifier)[];
export type TeamLearningActivityTypeFieldPolicy = {
	activity?: FieldPolicy<any> | FieldReadFunction<any>,
	id?: FieldPolicy<any> | FieldReadFunction<any>,
	milestoneStates?: FieldPolicy<any> | FieldReadFunction<any>,
	reached?: FieldPolicy<any> | FieldReadFunction<any>,
	teamObjective?: FieldPolicy<any> | FieldReadFunction<any>
};
export type TeamLearningObjectiveTypeKeySpecifier = ('activities' | 'id' | 'objective' | 'reached' | TeamLearningObjectiveTypeKeySpecifier)[];
export type TeamLearningObjectiveTypeFieldPolicy = {
	activities?: FieldPolicy<any> | FieldReadFunction<any>,
	id?: FieldPolicy<any> | FieldReadFunction<any>,
	objective?: FieldPolicy<any> | FieldReadFunction<any>,
	reached?: FieldPolicy<any> | FieldReadFunction<any>
};
export type TeamQuestionnaireStateSubscriptionKeySpecifier = ('teamQuestionnaireState' | TeamQuestionnaireStateSubscriptionKeySpecifier)[];
export type TeamQuestionnaireStateSubscriptionFieldPolicy = {
	teamQuestionnaireState?: FieldPolicy<any> | FieldReadFunction<any>
};
export type TeamQuestionnaireStateTypeKeySpecifier = ('answers' | 'id' | 'questionnaire' | 'status' | 'team' | 'timestampAnswered' | 'timestampSent' | TeamQuestionnaireStateTypeKeySpecifier)[];
export type TeamQuestionnaireStateTypeFieldPolicy = {
	answers?: FieldPolicy<any> | FieldReadFunction<any>,
	id?: FieldPolicy<any> | FieldReadFunction<any>,
	questionnaire?: FieldPolicy<any> | FieldReadFunction<any>,
	status?: FieldPolicy<any> | FieldReadFunction<any>,
	team?: FieldPolicy<any> | FieldReadFunction<any>,
	timestampAnswered?: FieldPolicy<any> | FieldReadFunction<any>,
	timestampSent?: FieldPolicy<any> | FieldReadFunction<any>
};
export type TeamTypeKeySpecifier = ('emailAddress' | 'exercise' | 'finishTime' | 'id' | 'injectSelections' | 'logs' | 'name' | 'role' | 'teamQuestionnaireStates' | 'userSet' | TeamTypeKeySpecifier)[];
export type TeamTypeFieldPolicy = {
	emailAddress?: FieldPolicy<any> | FieldReadFunction<any>,
	exercise?: FieldPolicy<any> | FieldReadFunction<any>,
	finishTime?: FieldPolicy<any> | FieldReadFunction<any>,
	id?: FieldPolicy<any> | FieldReadFunction<any>,
	injectSelections?: FieldPolicy<any> | FieldReadFunction<any>,
	logs?: FieldPolicy<any> | FieldReadFunction<any>,
	name?: FieldPolicy<any> | FieldReadFunction<any>,
	role?: FieldPolicy<any> | FieldReadFunction<any>,
	teamQuestionnaireStates?: FieldPolicy<any> | FieldReadFunction<any>,
	userSet?: FieldPolicy<any> | FieldReadFunction<any>
};
export type ToolDetailsTypeKeySpecifier = ('argument' | 'content' | 'id' | 'tool' | 'user' | ToolDetailsTypeKeySpecifier)[];
export type ToolDetailsTypeFieldPolicy = {
	argument?: FieldPolicy<any> | FieldReadFunction<any>,
	content?: FieldPolicy<any> | FieldReadFunction<any>,
	id?: FieldPolicy<any> | FieldReadFunction<any>,
	tool?: FieldPolicy<any> | FieldReadFunction<any>,
	user?: FieldPolicy<any> | FieldReadFunction<any>
};
export type ToolResponseTypeKeySpecifier = ('content' | 'control' | 'id' | 'param' | 'regex' | 'time' | 'tool' | ToolResponseTypeKeySpecifier)[];
export type ToolResponseTypeFieldPolicy = {
	content?: FieldPolicy<any> | FieldReadFunction<any>,
	control?: FieldPolicy<any> | FieldReadFunction<any>,
	id?: FieldPolicy<any> | FieldReadFunction<any>,
	param?: FieldPolicy<any> | FieldReadFunction<any>,
	regex?: FieldPolicy<any> | FieldReadFunction<any>,
	time?: FieldPolicy<any> | FieldReadFunction<any>,
	tool?: FieldPolicy<any> | FieldReadFunction<any>
};
export type ToolTypeKeySpecifier = ('defaultResponse' | 'definition' | 'hint' | 'id' | 'name' | 'roles' | 'toolDetails' | 'tooltipDescription' | ToolTypeKeySpecifier)[];
export type ToolTypeFieldPolicy = {
	defaultResponse?: FieldPolicy<any> | FieldReadFunction<any>,
	definition?: FieldPolicy<any> | FieldReadFunction<any>,
	hint?: FieldPolicy<any> | FieldReadFunction<any>,
	id?: FieldPolicy<any> | FieldReadFunction<any>,
	name?: FieldPolicy<any> | FieldReadFunction<any>,
	roles?: FieldPolicy<any> | FieldReadFunction<any>,
	toolDetails?: FieldPolicy<any> | FieldReadFunction<any>,
	tooltipDescription?: FieldPolicy<any> | FieldReadFunction<any>
};
export type UseToolMutationKeySpecifier = ('operationDone' | UseToolMutationKeySpecifier)[];
export type UseToolMutationFieldPolicy = {
	operationDone?: FieldPolicy<any> | FieldReadFunction<any>
};
export type UseToolTypeKeySpecifier = ('teamId' | 'toolArgument' | 'toolId' | UseToolTypeKeySpecifier)[];
export type UseToolTypeFieldPolicy = {
	teamId?: FieldPolicy<any> | FieldReadFunction<any>,
	toolArgument?: FieldPolicy<any> | FieldReadFunction<any>,
	toolId?: FieldPolicy<any> | FieldReadFunction<any>
};
export type UserTypeKeySpecifier = ('dateJoined' | 'definitions' | 'exercises' | 'firstName' | 'group' | 'id' | 'isActive' | 'isImported' | 'isStaff' | 'isSuperuser' | 'lastLogin' | 'lastName' | 'tags' | 'teams' | 'username' | UserTypeKeySpecifier)[];
export type UserTypeFieldPolicy = {
	dateJoined?: FieldPolicy<any> | FieldReadFunction<any>,
	definitions?: FieldPolicy<any> | FieldReadFunction<any>,
	exercises?: FieldPolicy<any> | FieldReadFunction<any>,
	firstName?: FieldPolicy<any> | FieldReadFunction<any>,
	group?: FieldPolicy<any> | FieldReadFunction<any>,
	id?: FieldPolicy<any> | FieldReadFunction<any>,
	isActive?: FieldPolicy<any> | FieldReadFunction<any>,
	isImported?: FieldPolicy<any> | FieldReadFunction<any>,
	isStaff?: FieldPolicy<any> | FieldReadFunction<any>,
	isSuperuser?: FieldPolicy<any> | FieldReadFunction<any>,
	lastLogin?: FieldPolicy<any> | FieldReadFunction<any>,
	lastName?: FieldPolicy<any> | FieldReadFunction<any>,
	tags?: FieldPolicy<any> | FieldReadFunction<any>,
	teams?: FieldPolicy<any> | FieldReadFunction<any>,
	username?: FieldPolicy<any> | FieldReadFunction<any>
};
export type StrictTypedTypePolicies = {
	ActionLogType?: Omit<TypePolicy, "fields" | "keyFields"> & {
		keyFields?: false | ActionLogTypeKeySpecifier | (() => undefined | ActionLogTypeKeySpecifier),
		fields?: ActionLogTypeFieldPolicy,
	},
	ActionLogsSubscription?: Omit<TypePolicy, "fields" | "keyFields"> & {
		keyFields?: false | ActionLogsSubscriptionKeySpecifier | (() => undefined | ActionLogsSubscriptionKeySpecifier),
		fields?: ActionLogsSubscriptionFieldPolicy,
	},
	AddDefinitionAccessMutation?: Omit<TypePolicy, "fields" | "keyFields"> & {
		keyFields?: false | AddDefinitionAccessMutationKeySpecifier | (() => undefined | AddDefinitionAccessMutationKeySpecifier),
		fields?: AddDefinitionAccessMutationFieldPolicy,
	},
	AnalyticsActionLogsSubscription?: Omit<TypePolicy, "fields" | "keyFields"> & {
		keyFields?: false | AnalyticsActionLogsSubscriptionKeySpecifier | (() => undefined | AnalyticsActionLogsSubscriptionKeySpecifier),
		fields?: AnalyticsActionLogsSubscriptionFieldPolicy,
	},
	AnalyticsEmailThreadSubscription?: Omit<TypePolicy, "fields" | "keyFields"> & {
		keyFields?: false | AnalyticsEmailThreadSubscriptionKeySpecifier | (() => undefined | AnalyticsEmailThreadSubscriptionKeySpecifier),
		fields?: AnalyticsEmailThreadSubscriptionFieldPolicy,
	},
	AnalyticsMilestonesSubscription?: Omit<TypePolicy, "fields" | "keyFields"> & {
		keyFields?: false | AnalyticsMilestonesSubscriptionKeySpecifier | (() => undefined | AnalyticsMilestonesSubscriptionKeySpecifier),
		fields?: AnalyticsMilestonesSubscriptionFieldPolicy,
	},
	AnswerQuestionnaireMutation?: Omit<TypePolicy, "fields" | "keyFields"> & {
		keyFields?: false | AnswerQuestionnaireMutationKeySpecifier | (() => undefined | AnswerQuestionnaireMutationKeySpecifier),
		fields?: AnswerQuestionnaireMutationFieldPolicy,
	},
	AssignInstructorsToExercise?: Omit<TypePolicy, "fields" | "keyFields"> & {
		keyFields?: false | AssignInstructorsToExerciseKeySpecifier | (() => undefined | AssignInstructorsToExerciseKeySpecifier),
		fields?: AssignInstructorsToExerciseFieldPolicy,
	},
	AssignUsersToTeamMutation?: Omit<TypePolicy, "fields" | "keyFields"> & {
		keyFields?: false | AssignUsersToTeamMutationKeySpecifier | (() => undefined | AssignUsersToTeamMutationKeySpecifier),
		fields?: AssignUsersToTeamMutationFieldPolicy,
	},
	ChangeUserDataMutation?: Omit<TypePolicy, "fields" | "keyFields"> & {
		keyFields?: false | ChangeUserDataMutationKeySpecifier | (() => undefined | ChangeUserDataMutationKeySpecifier),
		fields?: ChangeUserDataMutationFieldPolicy,
	},
	ChannelReadReceipt?: Omit<TypePolicy, "fields" | "keyFields"> & {
		keyFields?: false | ChannelReadReceiptKeySpecifier | (() => undefined | ChannelReadReceiptKeySpecifier),
		fields?: ChannelReadReceiptFieldPolicy,
	},
	ChannelReceipt?: Omit<TypePolicy, "fields" | "keyFields"> & {
		keyFields?: false | ChannelReceiptKeySpecifier | (() => undefined | ChannelReceiptKeySpecifier),
		fields?: ChannelReceiptFieldPolicy,
	},
	ConfigOverrideType?: Omit<TypePolicy, "fields" | "keyFields"> & {
		keyFields?: false | ConfigOverrideTypeKeySpecifier | (() => undefined | ConfigOverrideTypeKeySpecifier),
		fields?: ConfigOverrideTypeFieldPolicy,
	},
	ContentType?: Omit<TypePolicy, "fields" | "keyFields"> & {
		keyFields?: false | ContentTypeKeySpecifier | (() => undefined | ContentTypeKeySpecifier),
		fields?: ContentTypeFieldPolicy,
	},
	ControlType?: Omit<TypePolicy, "fields" | "keyFields"> & {
		keyFields?: false | ControlTypeKeySpecifier | (() => undefined | ControlTypeKeySpecifier),
		fields?: ControlTypeFieldPolicy,
	},
	CreateExerciseMutation?: Omit<TypePolicy, "fields" | "keyFields"> & {
		keyFields?: false | CreateExerciseMutationKeySpecifier | (() => undefined | CreateExerciseMutationKeySpecifier),
		fields?: CreateExerciseMutationFieldPolicy,
	},
	CreateExerciseType?: Omit<TypePolicy, "fields" | "keyFields"> & {
		keyFields?: false | CreateExerciseTypeKeySpecifier | (() => undefined | CreateExerciseTypeKeySpecifier),
		fields?: CreateExerciseTypeFieldPolicy,
	},
	CreateThreadMutation?: Omit<TypePolicy, "fields" | "keyFields"> & {
		keyFields?: false | CreateThreadMutationKeySpecifier | (() => undefined | CreateThreadMutationKeySpecifier),
		fields?: CreateThreadMutationFieldPolicy,
	},
	CustomInjectDetailsType?: Omit<TypePolicy, "fields" | "keyFields"> & {
		keyFields?: false | CustomInjectDetailsTypeKeySpecifier | (() => undefined | CustomInjectDetailsTypeKeySpecifier),
		fields?: CustomInjectDetailsTypeFieldPolicy,
	},
	DefinitionChannelType?: Omit<TypePolicy, "fields" | "keyFields"> & {
		keyFields?: false | DefinitionChannelTypeKeySpecifier | (() => undefined | DefinitionChannelTypeKeySpecifier),
		fields?: DefinitionChannelTypeFieldPolicy,
	},
	DefinitionInjectType?: Omit<TypePolicy, "fields" | "keyFields"> & {
		keyFields?: false | DefinitionInjectTypeKeySpecifier | (() => undefined | DefinitionInjectTypeKeySpecifier),
		fields?: DefinitionInjectTypeFieldPolicy,
	},
	DefinitionRoleType?: Omit<TypePolicy, "fields" | "keyFields"> & {
		keyFields?: false | DefinitionRoleTypeKeySpecifier | (() => undefined | DefinitionRoleTypeKeySpecifier),
		fields?: DefinitionRoleTypeFieldPolicy,
	},
	DefinitionType?: Omit<TypePolicy, "fields" | "keyFields"> & {
		keyFields?: false | DefinitionTypeKeySpecifier | (() => undefined | DefinitionTypeKeySpecifier),
		fields?: DefinitionTypeFieldPolicy,
	},
	DeleteDefinitionMutation?: Omit<TypePolicy, "fields" | "keyFields"> & {
		keyFields?: false | DeleteDefinitionMutationKeySpecifier | (() => undefined | DeleteDefinitionMutationKeySpecifier),
		fields?: DeleteDefinitionMutationFieldPolicy,
	},
	DeleteExerciseMutation?: Omit<TypePolicy, "fields" | "keyFields"> & {
		keyFields?: false | DeleteExerciseMutationKeySpecifier | (() => undefined | DeleteExerciseMutationKeySpecifier),
		fields?: DeleteExerciseMutationFieldPolicy,
	},
	EmailAddressType?: Omit<TypePolicy, "fields" | "keyFields"> & {
		keyFields?: false | EmailAddressTypeKeySpecifier | (() => undefined | EmailAddressTypeKeySpecifier),
		fields?: EmailAddressTypeFieldPolicy,
	},
	EmailDraftType?: Omit<TypePolicy, "fields" | "keyFields"> & {
		keyFields?: false | EmailDraftTypeKeySpecifier | (() => undefined | EmailDraftTypeKeySpecifier),
		fields?: EmailDraftTypeFieldPolicy,
	},
	EmailParticipantType?: Omit<TypePolicy, "fields" | "keyFields"> & {
		keyFields?: false | EmailParticipantTypeKeySpecifier | (() => undefined | EmailParticipantTypeKeySpecifier),
		fields?: EmailParticipantTypeFieldPolicy,
	},
	EmailReceipt?: Omit<TypePolicy, "fields" | "keyFields"> & {
		keyFields?: false | EmailReceiptKeySpecifier | (() => undefined | EmailReceiptKeySpecifier),
		fields?: EmailReceiptFieldPolicy,
	},
	EmailTemplateType?: Omit<TypePolicy, "fields" | "keyFields"> & {
		keyFields?: false | EmailTemplateTypeKeySpecifier | (() => undefined | EmailTemplateTypeKeySpecifier),
		fields?: EmailTemplateTypeFieldPolicy,
	},
	EmailThreadReceipt?: Omit<TypePolicy, "fields" | "keyFields"> & {
		keyFields?: false | EmailThreadReceiptKeySpecifier | (() => undefined | EmailThreadReceiptKeySpecifier),
		fields?: EmailThreadReceiptFieldPolicy,
	},
	EmailThreadSubscription?: Omit<TypePolicy, "fields" | "keyFields"> & {
		keyFields?: false | EmailThreadSubscriptionKeySpecifier | (() => undefined | EmailThreadSubscriptionKeySpecifier),
		fields?: EmailThreadSubscriptionFieldPolicy,
	},
	EmailThreadType?: Omit<TypePolicy, "fields" | "keyFields"> & {
		keyFields?: false | EmailThreadTypeKeySpecifier | (() => undefined | EmailThreadTypeKeySpecifier),
		fields?: EmailThreadTypeFieldPolicy,
	},
	EmailType?: Omit<TypePolicy, "fields" | "keyFields"> & {
		keyFields?: false | EmailTypeKeySpecifier | (() => undefined | EmailTypeKeySpecifier),
		fields?: EmailTypeFieldPolicy,
	},
	ExerciseDefinitionType?: Omit<TypePolicy, "fields" | "keyFields"> & {
		keyFields?: false | ExerciseDefinitionTypeKeySpecifier | (() => undefined | ExerciseDefinitionTypeKeySpecifier),
		fields?: ExerciseDefinitionTypeFieldPolicy,
	},
	ExerciseLoopRunningSubscription?: Omit<TypePolicy, "fields" | "keyFields"> & {
		keyFields?: false | ExerciseLoopRunningSubscriptionKeySpecifier | (() => undefined | ExerciseLoopRunningSubscriptionKeySpecifier),
		fields?: ExerciseLoopRunningSubscriptionFieldPolicy,
	},
	ExerciseType?: Omit<TypePolicy, "fields" | "keyFields"> & {
		keyFields?: false | ExerciseTypeKeySpecifier | (() => undefined | ExerciseTypeKeySpecifier),
		fields?: ExerciseTypeFieldPolicy,
	},
	ExercisesSubscription?: Omit<TypePolicy, "fields" | "keyFields"> & {
		keyFields?: false | ExercisesSubscriptionKeySpecifier | (() => undefined | ExercisesSubscriptionKeySpecifier),
		fields?: ExercisesSubscriptionFieldPolicy,
	},
	ExtendedToolType?: Omit<TypePolicy, "fields" | "keyFields"> & {
		keyFields?: false | ExtendedToolTypeKeySpecifier | (() => undefined | ExtendedToolTypeKeySpecifier),
		fields?: ExtendedToolTypeFieldPolicy,
	},
	FileInfoType?: Omit<TypePolicy, "fields" | "keyFields"> & {
		keyFields?: false | FileInfoTypeKeySpecifier | (() => undefined | FileInfoTypeKeySpecifier),
		fields?: FileInfoTypeFieldPolicy,
	},
	GrapheneConfig?: Omit<TypePolicy, "fields" | "keyFields"> & {
		keyFields?: false | GrapheneConfigKeySpecifier | (() => undefined | GrapheneConfigKeySpecifier),
		fields?: GrapheneConfigFieldPolicy,
	},
	GroupType?: Omit<TypePolicy, "fields" | "keyFields"> & {
		keyFields?: false | GroupTypeKeySpecifier | (() => undefined | GroupTypeKeySpecifier),
		fields?: GroupTypeFieldPolicy,
	},
	InjectDetailsType?: Omit<TypePolicy, "fields" | "keyFields"> & {
		keyFields?: false | InjectDetailsTypeKeySpecifier | (() => undefined | InjectDetailsTypeKeySpecifier),
		fields?: InjectDetailsTypeFieldPolicy,
	},
	InjectOptionType?: Omit<TypePolicy, "fields" | "keyFields"> & {
		keyFields?: false | InjectOptionTypeKeySpecifier | (() => undefined | InjectOptionTypeKeySpecifier),
		fields?: InjectOptionTypeFieldPolicy,
	},
	InjectSelectionConfirmationType?: Omit<TypePolicy, "fields" | "keyFields"> & {
		keyFields?: false | InjectSelectionConfirmationTypeKeySpecifier | (() => undefined | InjectSelectionConfirmationTypeKeySpecifier),
		fields?: InjectSelectionConfirmationTypeFieldPolicy,
	},
	InjectSelectionType?: Omit<TypePolicy, "fields" | "keyFields"> & {
		keyFields?: false | InjectSelectionTypeKeySpecifier | (() => undefined | InjectSelectionTypeKeySpecifier),
		fields?: InjectSelectionTypeFieldPolicy,
	},
	InjectSelectionsSubscription?: Omit<TypePolicy, "fields" | "keyFields"> & {
		keyFields?: false | InjectSelectionsSubscriptionKeySpecifier | (() => undefined | InjectSelectionsSubscriptionKeySpecifier),
		fields?: InjectSelectionsSubscriptionFieldPolicy,
	},
	LearningActivityType?: Omit<TypePolicy, "fields" | "keyFields"> & {
		keyFields?: false | LearningActivityTypeKeySpecifier | (() => undefined | LearningActivityTypeKeySpecifier),
		fields?: LearningActivityTypeFieldPolicy,
	},
	LearningObjectiveType?: Omit<TypePolicy, "fields" | "keyFields"> & {
		keyFields?: false | LearningObjectiveTypeKeySpecifier | (() => undefined | LearningObjectiveTypeKeySpecifier),
		fields?: LearningObjectiveTypeFieldPolicy,
	},
	LoginMutation?: Omit<TypePolicy, "fields" | "keyFields"> & {
		keyFields?: false | LoginMutationKeySpecifier | (() => undefined | LoginMutationKeySpecifier),
		fields?: LoginMutationFieldPolicy,
	},
	LogoutMutation?: Omit<TypePolicy, "fields" | "keyFields"> & {
		keyFields?: false | LogoutMutationKeySpecifier | (() => undefined | LogoutMutationKeySpecifier),
		fields?: LogoutMutationFieldPolicy,
	},
	MilestoneStateType?: Omit<TypePolicy, "fields" | "keyFields"> & {
		keyFields?: false | MilestoneStateTypeKeySpecifier | (() => undefined | MilestoneStateTypeKeySpecifier),
		fields?: MilestoneStateTypeFieldPolicy,
	},
	MilestoneType?: Omit<TypePolicy, "fields" | "keyFields"> & {
		keyFields?: false | MilestoneTypeKeySpecifier | (() => undefined | MilestoneTypeKeySpecifier),
		fields?: MilestoneTypeFieldPolicy,
	},
	MilestonesSubscription?: Omit<TypePolicy, "fields" | "keyFields"> & {
		keyFields?: false | MilestonesSubscriptionKeySpecifier | (() => undefined | MilestonesSubscriptionKeySpecifier),
		fields?: MilestonesSubscriptionFieldPolicy,
	},
	ModifyMilestoneMutation?: Omit<TypePolicy, "fields" | "keyFields"> & {
		keyFields?: false | ModifyMilestoneMutationKeySpecifier | (() => undefined | ModifyMilestoneMutationKeySpecifier),
		fields?: ModifyMilestoneMutationFieldPolicy,
	},
	MoveExerciseTimeMutation?: Omit<TypePolicy, "fields" | "keyFields"> & {
		keyFields?: false | MoveExerciseTimeMutationKeySpecifier | (() => undefined | MoveExerciseTimeMutationKeySpecifier),
		fields?: MoveExerciseTimeMutationFieldPolicy,
	},
	Mutation?: Omit<TypePolicy, "fields" | "keyFields"> & {
		keyFields?: false | MutationKeySpecifier | (() => undefined | MutationKeySpecifier),
		fields?: MutationFieldPolicy,
	},
	OverlayType?: Omit<TypePolicy, "fields" | "keyFields"> & {
		keyFields?: false | OverlayTypeKeySpecifier | (() => undefined | OverlayTypeKeySpecifier),
		fields?: OverlayTypeFieldPolicy,
	},
	PasswordChange?: Omit<TypePolicy, "fields" | "keyFields"> & {
		keyFields?: false | PasswordChangeKeySpecifier | (() => undefined | PasswordChangeKeySpecifier),
		fields?: PasswordChangeFieldPolicy,
	},
	Query?: Omit<TypePolicy, "fields" | "keyFields"> & {
		keyFields?: false | QueryKeySpecifier | (() => undefined | QueryKeySpecifier),
		fields?: QueryFieldPolicy,
	},
	QuestionType?: Omit<TypePolicy, "fields" | "keyFields"> & {
		keyFields?: false | QuestionTypeKeySpecifier | (() => undefined | QuestionTypeKeySpecifier),
		fields?: QuestionTypeFieldPolicy,
	},
	QuestionnaireAnswerType?: Omit<TypePolicy, "fields" | "keyFields"> & {
		keyFields?: false | QuestionnaireAnswerTypeKeySpecifier | (() => undefined | QuestionnaireAnswerTypeKeySpecifier),
		fields?: QuestionnaireAnswerTypeFieldPolicy,
	},
	QuestionnaireType?: Omit<TypePolicy, "fields" | "keyFields"> & {
		keyFields?: false | QuestionnaireTypeKeySpecifier | (() => undefined | QuestionnaireTypeKeySpecifier),
		fields?: QuestionnaireTypeFieldPolicy,
	},
	ReadReceiptType?: Omit<TypePolicy, "fields" | "keyFields"> & {
		keyFields?: false | ReadReceiptTypeKeySpecifier | (() => undefined | ReadReceiptTypeKeySpecifier),
		fields?: ReadReceiptTypeFieldPolicy,
	},
	RemoveDefinitionAccessMutation?: Omit<TypePolicy, "fields" | "keyFields"> & {
		keyFields?: false | RemoveDefinitionAccessMutationKeySpecifier | (() => undefined | RemoveDefinitionAccessMutationKeySpecifier),
		fields?: RemoveDefinitionAccessMutationFieldPolicy,
	},
	RemoveInstructorsFromExerciseMutation?: Omit<TypePolicy, "fields" | "keyFields"> & {
		keyFields?: false | RemoveInstructorsFromExerciseMutationKeySpecifier | (() => undefined | RemoveInstructorsFromExerciseMutationKeySpecifier),
		fields?: RemoveInstructorsFromExerciseMutationFieldPolicy,
	},
	RemoveUsersFromTeamMutation?: Omit<TypePolicy, "fields" | "keyFields"> & {
		keyFields?: false | RemoveUsersFromTeamMutationKeySpecifier | (() => undefined | RemoveUsersFromTeamMutationKeySpecifier),
		fields?: RemoveUsersFromTeamMutationFieldPolicy,
	},
	RestrictedExercise?: Omit<TypePolicy, "fields" | "keyFields"> & {
		keyFields?: false | RestrictedExerciseKeySpecifier | (() => undefined | RestrictedExerciseKeySpecifier),
		fields?: RestrictedExerciseFieldPolicy,
	},
	RestrictedTeam?: Omit<TypePolicy, "fields" | "keyFields"> & {
		keyFields?: false | RestrictedTeamKeySpecifier | (() => undefined | RestrictedTeamKeySpecifier),
		fields?: RestrictedTeamFieldPolicy,
	},
	RestrictedUser?: Omit<TypePolicy, "fields" | "keyFields"> & {
		keyFields?: false | RestrictedUserKeySpecifier | (() => undefined | RestrictedUserKeySpecifier),
		fields?: RestrictedUserFieldPolicy,
	},
	SelectTeamInjectOptionMutation?: Omit<TypePolicy, "fields" | "keyFields"> & {
		keyFields?: false | SelectTeamInjectOptionMutationKeySpecifier | (() => undefined | SelectTeamInjectOptionMutationKeySpecifier),
		fields?: SelectTeamInjectOptionMutationFieldPolicy,
	},
	SelectTeamInjectType?: Omit<TypePolicy, "fields" | "keyFields"> & {
		keyFields?: false | SelectTeamInjectTypeKeySpecifier | (() => undefined | SelectTeamInjectTypeKeySpecifier),
		fields?: SelectTeamInjectTypeFieldPolicy,
	},
	SendEmailMutation?: Omit<TypePolicy, "fields" | "keyFields"> & {
		keyFields?: false | SendEmailMutationKeySpecifier | (() => undefined | SendEmailMutationKeySpecifier),
		fields?: SendEmailMutationFieldPolicy,
	},
	SendEmailType?: Omit<TypePolicy, "fields" | "keyFields"> & {
		keyFields?: false | SendEmailTypeKeySpecifier | (() => undefined | SendEmailTypeKeySpecifier),
		fields?: SendEmailTypeFieldPolicy,
	},
	StartExerciseMutation?: Omit<TypePolicy, "fields" | "keyFields"> & {
		keyFields?: false | StartExerciseMutationKeySpecifier | (() => undefined | StartExerciseMutationKeySpecifier),
		fields?: StartExerciseMutationFieldPolicy,
	},
	StopExerciseMutation?: Omit<TypePolicy, "fields" | "keyFields"> & {
		keyFields?: false | StopExerciseMutationKeySpecifier | (() => undefined | StopExerciseMutationKeySpecifier),
		fields?: StopExerciseMutationFieldPolicy,
	},
	Subscription?: Omit<TypePolicy, "fields" | "keyFields"> & {
		keyFields?: false | SubscriptionKeySpecifier | (() => undefined | SubscriptionKeySpecifier),
		fields?: SubscriptionFieldPolicy,
	},
	TagType?: Omit<TypePolicy, "fields" | "keyFields"> & {
		keyFields?: false | TagTypeKeySpecifier | (() => undefined | TagTypeKeySpecifier),
		fields?: TagTypeFieldPolicy,
	},
	TeamLearningActivityType?: Omit<TypePolicy, "fields" | "keyFields"> & {
		keyFields?: false | TeamLearningActivityTypeKeySpecifier | (() => undefined | TeamLearningActivityTypeKeySpecifier),
		fields?: TeamLearningActivityTypeFieldPolicy,
	},
	TeamLearningObjectiveType?: Omit<TypePolicy, "fields" | "keyFields"> & {
		keyFields?: false | TeamLearningObjectiveTypeKeySpecifier | (() => undefined | TeamLearningObjectiveTypeKeySpecifier),
		fields?: TeamLearningObjectiveTypeFieldPolicy,
	},
	TeamQuestionnaireStateSubscription?: Omit<TypePolicy, "fields" | "keyFields"> & {
		keyFields?: false | TeamQuestionnaireStateSubscriptionKeySpecifier | (() => undefined | TeamQuestionnaireStateSubscriptionKeySpecifier),
		fields?: TeamQuestionnaireStateSubscriptionFieldPolicy,
	},
	TeamQuestionnaireStateType?: Omit<TypePolicy, "fields" | "keyFields"> & {
		keyFields?: false | TeamQuestionnaireStateTypeKeySpecifier | (() => undefined | TeamQuestionnaireStateTypeKeySpecifier),
		fields?: TeamQuestionnaireStateTypeFieldPolicy,
	},
	TeamType?: Omit<TypePolicy, "fields" | "keyFields"> & {
		keyFields?: false | TeamTypeKeySpecifier | (() => undefined | TeamTypeKeySpecifier),
		fields?: TeamTypeFieldPolicy,
	},
	ToolDetailsType?: Omit<TypePolicy, "fields" | "keyFields"> & {
		keyFields?: false | ToolDetailsTypeKeySpecifier | (() => undefined | ToolDetailsTypeKeySpecifier),
		fields?: ToolDetailsTypeFieldPolicy,
	},
	ToolResponseType?: Omit<TypePolicy, "fields" | "keyFields"> & {
		keyFields?: false | ToolResponseTypeKeySpecifier | (() => undefined | ToolResponseTypeKeySpecifier),
		fields?: ToolResponseTypeFieldPolicy,
	},
	ToolType?: Omit<TypePolicy, "fields" | "keyFields"> & {
		keyFields?: false | ToolTypeKeySpecifier | (() => undefined | ToolTypeKeySpecifier),
		fields?: ToolTypeFieldPolicy,
	},
	UseToolMutation?: Omit<TypePolicy, "fields" | "keyFields"> & {
		keyFields?: false | UseToolMutationKeySpecifier | (() => undefined | UseToolMutationKeySpecifier),
		fields?: UseToolMutationFieldPolicy,
	},
	UseToolType?: Omit<TypePolicy, "fields" | "keyFields"> & {
		keyFields?: false | UseToolTypeKeySpecifier | (() => undefined | UseToolTypeKeySpecifier),
		fields?: UseToolTypeFieldPolicy,
	},
	UserType?: Omit<TypePolicy, "fields" | "keyFields"> & {
		keyFields?: false | UserTypeKeySpecifier | (() => undefined | UserTypeKeySpecifier),
		fields?: UserTypeFieldPolicy,
	}
};
export type TypedTypePolicies = StrictTypedTypePolicies & TypePolicies;